/*
 * STM32F4 Wifi flight controller
 * Copyright (C) 2012 Adam Williams <broadcast at earthling dot net>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef COPTER_IO_H
#define COPTER_IO_H


#include "settings.h"

// Multiple of 64 bytes
#define RADIO_BUFFER_SIZE 1024

typedef struct
{
#ifdef PIC_USE_MRF49XA
	unsigned char radio_buffer[2][RADIO_BUFFER_SIZE];
	int radio_size[2];
// buffer being filled.  Must be toggled when the buffer is known
// to not be getting any useful data.
	int current_radio_buffer;
// packet size to read from radio
//	int packet_size;
	
	
#endif // PIC_USE_MRF49XA

#ifdef ROVER
	

#endif // ROVER

	int packet_counter;

} copter_io_t;


extern copter_io_t copter_io;

void handle_beacon();
void handle_http(unsigned char *data, int size);



#endif

